Index: src/sans/dataloader/readers/cansas_reader.py
===================================================================
--- src/sans/dataloader/readers/cansas_reader.py	(revision ffbe487235261db53473e1fe28d7b1953c7e31dd)
+++ src/sans/dataloader/readers/cansas_reader.py	(revision eda89725afadff916f49a3a51d5823023263ff33)
@@ -1,4 +1,4 @@
 """
-    CanSAS data reader
+    CanSAS data reader - new recursive cansasVersion.
 """
 ############################################################################
@@ -13,18 +13,4 @@
 #############################################################################
 
-# Known issue: reader not compatible with multiple SASdata entries
-# within a single SASentry. Will raise a runtime error.
-
-#TODO: check that all vectors are written only if they have at 
-#    least one non-empty value
-#TODO: Writing only allows one SASentry per file.
-#     Would be best to allow multiple entries.
-#TODO: Store error list
-#TODO: Allow for additional meta data for each section
-#TODO: Notes need to be implemented. They can be any XML 
-#    structure in version 1.0
-#      Process notes have the same problem.
-#TODO: Unit conversion is not complete (temperature units are missing)
-
 import logging
 import numpy
@@ -36,6 +22,8 @@
 from sans.dataloader.data_info import Process
 from sans.dataloader.data_info import Aperture
-from lxml import etree
+import xml_reader
 import xml.dom.minidom
+from cansas_constants import cansasConstants
+
 _ZERO = 1e-16
 HAS_CONVERTER = True
@@ -44,6 +32,7 @@
 except:
     HAS_CONVERTER = False
-
-CANSAS_NS = "cansas1d/1.0"
+    
+CANSAS_FORMAT = cansasConstants.CANSAS_FORMAT
+CANSAS_NS = cansasConstants.CANSAS_NS
 ALLOW_ALL = True
 
@@ -67,5 +56,5 @@
         return True
     return False
-
+                
 
 def get_content(location, node):
